Data Fields

# GameSettings Struct Reference

All settings together for the game. More...

`#include <settings_type.h>`

## Data Fields
DifficultySettings | difficulty
| settings related to the difficulty
GameCreationSettings | game_creation
| settings used during the creation of a game (map)
ConstructionSettings | construction
| construction of things in-game
AISettings | ai
| what may the AI do?
ScriptSettings | script
| settings for scripts
class AIConfig * | ai_config [MAX_COMPANIES]
| settings per company
class GameConfig * | game_config
| settings for gamescript
PathfinderSettings | pf
| settings for all pathfinders
OrderSettings | order
| settings related to orders
VehicleSettings | vehicle
| options for vehicles
EconomySettings | economy
| settings to change the economy
LinkGraphSettings | linkgraph
| settings for link graph calculations
StationSettings | station
| settings related to station management
LocaleSettings | locale
| settings related to used currency/unit system in the current game

## Detailed Description

All settings together for the game.

Definition at line 489 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h